<?xml version="1.0"?>

<entity-mappings xmlns="http://java.sun.com/xml/ns/persistence/orm" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.0" xsi:schemaLocation="http://java.sun.com/xml/ns/persistence/orm http://java.sun.com/xml/ns/persistence/orm_1_0.xsd">
	<persistence-unit-metadata>
		<xml-mapping-metadata-complete/>
		<persistence-unit-defaults>
			<access>PROPERTY</access>
		</persistence-unit-defaults>
	</persistence-unit-metadata>
	<mapped-superclass class="it.unisef.tasks.model.impl.TaskModelImpl">
		<attributes>
			<id name="taskId" />
			<basic name="groupId" />
			<basic name="companyId" />
			<basic name="userId" />
			<basic name="userName" />
			<basic name="createDate">
				<temporal>TIMESTAMP</temporal>
			</basic>
			<basic name="modifiedDate">
				<temporal>TIMESTAMP</temporal>
			</basic>
			<basic name="title" />
			<basic name="description" />
			<basic name="expirationDate">
				<temporal>TIMESTAMP</temporal>
			</basic>
			<basic name="completed" />
			<transient name="modelAttributes" />
			<transient name="primaryKey" />
			<transient name="primaryKeyObj" />
			<transient name="userUuid" />
		</attributes>
	</mapped-superclass>
	<entity class="it.unisef.tasks.model.impl.TaskImpl" name="Task">
		<table name="TK_Task" />
		<attributes />
	</entity>
</entity-mappings>